Bug 50231 - Anaconda can use ATI Xpert 128 but RHL Roswell acn not
Anaconda can use ATI Xpert 128 but RHL Roswell acn not
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-28 16:08 EDT by Derek Tattersall
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-02 17:25:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -vn (2.62 KB, text/plain)
2001-07-29 09:50 EDT, Derek Tattersall
no flags Details

  None (edit)
Description Derek Tattersall 2001-07-28 16:08:12 EDT
Description of Problem:
The installer was able to go into graphical mode, however after
installation X could not come up.  I imagune there is a difference between
the X in Anaconda and the X in the distro.

How Reproducible:
Happens with every install

Steps to Reproduce:
1. Install in graphical mode
2. Startx
3. 

Actual Results:
X doesn't start

Expected Results:


Additional Information:
Comment 1 Mike A. Harris 2001-07-28 20:38:27 EDT
Anaconda runs inside an XFree86-FBDev 3.3.6 Xserver on top of the Linux
framebuffer.  When configuring X in anaconda, a second X server is started
which is the actual one that will be used, however it is also running on
the framebuffer but as display :9.

If this card is the Rage SM you mentioned in another report (I think it
was an SM), then it still isn't supported yet.  The X in b3 does not
have the latest ATI patch which supportsRage TF and a few others.
We still do not have the SM supported yet.

Can you provide:  lspci -vn

Thanks Derek,
TTYL
Comment 2 Derek Tattersall 2001-07-29 09:50:02 EDT
Created attachment 25311 [details]
lspci -vn
Comment 3 Derek Tattersall 2001-07-29 09:52:59 EDT
This is the Xpert 128 (Rage SM).  Graphical installs failed as X sig 11'ed in
Beta 1 and Beta 2.  When graphical installation worked in Beta 3, I assumed that
you had already patched X for this problem.  It didn't occur to me that anaconda
would be using the frame buffer X server.

Sorry I jumped the gun there...
Comment 4 Mike A. Harris 2001-08-01 11:23:24 EDT
No probo..  X not patched yet for SM..  I flagged this for final 
release tho so will try to get it in once I can build X again.
Comment 5 Mike A. Harris 2001-08-14 02:51:21 EDT
Hi Derek,
I just whacked out Xpert2000 Rage SM support tonight, and patched
XFree86.  You can expect 4.1.0-0.9.13 to contain the new code.

It is completely untested (I don't have one), so please gimme
feedback, and bug reports.  ;o)
Comment 6 Jay Turner 2002-04-02 11:55:11 EST
Is this working with the Skipjack beta?
Comment 7 Derek Tattersall 2002-04-02 17:25:17 EST
This actually was fixed in 7.2 and this card works fine with the beta's through
beta3.  I think I may have some marginal hardware as the GDM screen on logout
tends to break up into thirds vertically.  Or perhaps the timing are slightly
agressive.  Mike, you can go ahaed and close this.
Comment 8 Mike A. Harris 2002-04-03 09:43:09 EST
Thanks dlt.  Closing as fixed in 7.2 erratum 4.1.0-15 although it probably
works in 4.1.0-3 also.

Note You need to log in before you can comment on or make changes to this bug.